package com.mojang.blaze3d.platform;

import com.mojang.math.Matrix4f;
import com.mojang.blaze3d.systems.RenderSystem;

public class Lighting {
    public static void turnBackOn() {
        RenderSystem.enableLighting();
        RenderSystem.enableColorMaterial();
        RenderSystem.colorMaterial(1032, 5634);
    }
    
    public static void turnOff() {
        RenderSystem.disableLighting();
        RenderSystem.disableColorMaterial();
    }
    
    public static void setupLevel(final Matrix4f b) {
        RenderSystem.setupLevelDiffuseLighting(b);
    }
    
    public static void setupForFlatItems() {
        RenderSystem.setupGuiFlatDiffuseLighting();
    }
    
    public static void setupFor3DItems() {
        RenderSystem.setupGui3DDiffuseLighting();
    }
}
